Eclipse Remote Application Platform

## org.eclipse.rap.rwt.client.service
Interface ClientInfo

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface ClientInfo

extends ClientService

The ClientInfo service provides basic information about the client device.

Since:
  2.0

Method Summary
`java.util.Locale` `getLocale()` Returns the preferred locale of the client, based on the Accept-Language HTTP header of the first client request.
`java.util.Locale[]` `getLocales()` Returns the locales accepted by the client, based on the Accept-Language HTTP header.
`int` `getTimezoneOffset()` Returns the offset between the client's local time and UTC.

Method Detail

### getTimezoneOffset

    int getTimezoneOffset()

  Returns the offset between the client's local time and UTC.

  Returns:
    the offset in minutes

### getLocale

    java.util.Locale getLocale()

  Returns the preferred locale of the client, based on the Accept-Language HTTP header of the first client request. If the client does not provide this information, this method returns `null`.

  Returns:
    the client locale, or `null`

### getLocales

    java.util.Locale[] getLocales()

  Returns the locales accepted by the client, based on the Accept-Language HTTP header. The locales are ordered by preference, beginning with the preferred locale. If the client does not provide this information, this method returns an empty array.

  Returns:
    an array containing the client locales, may be empty, but never `null`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0